%define upstream_name    Config-Path
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Path-like config API with multiple file support, directory
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Any)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Hash::Merge)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML::XS)
BuildArch: noarch

%description
Config::Path is a Yet Another Config module with a few twists that were
desired for an internal project:

* Multiple files merged into a single, flat hash

* Path-based configuration value retrieval

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.130.0-7pclos2017
- rebuild against updates

